Source: pthreadpool
Section: libdevel
Homepage: https://github.com/Maratyszcza/pthreadpool
Priority: optional
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/deeplearning-team/pthreadpool.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/pthreadpool
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               googletest,
               libbenchmark-dev,
               libcpuinfo-dev,
               libfxdiv-dev
Rules-Requires-Root: no

Package: libpthreadpool-dev
Architecture: any
Depends: libpthreadpool0 (= ${binary:Version}), ${misc:Depends}
Description: pthread-based thread pool for C/C++
 pthreadpool is a portable and efficient thread pool implementation. It provides
 similar functionality to #pragma omp parallel for, but with additional
 features.
 .
 This package contains the development files.

Package: libpthreadpool0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: pthread-based thread pool for C/C++
 pthreadpool is a portable and efficient thread pool implementation. It provides
 similar functionality to #pragma omp parallel for, but with additional
 features.
 .
 This package contains the shared object.
